[20.10 FEAT] KVM: Enable transparent CCW IPL from DASD - qemu part

Bug #1887935 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
qemu-kvm (Ubuntu)
Fix Released
Undecided
Canonical Server Team

Bug Description

A previous feature has introduced the support for native CCW IPL, which however required the setting of a per-device property to enforce unlimited prefetch. The unconditional prefetch may not reflect the intention of the channel program. This feature removes the necessity to specify the additional property and thus enables Linux IPL from vfio-ccw attached DASDs transparently.

Business Case:
Improve system management for CCW passthrough devices.

Contributes to qemu package.

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-185364 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Please share the qemu target version this code is going to land in.
And note that it's 'planned' to have qemu-kvm 5.0 in groovy.

affects: linux (Ubuntu) → qemu-kvm (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in qemu-kvm (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Server Team (canonical-server)
tags: added: qemukvm-20.10
Frank Heimes (fheimes)
tags: added: qemu-20.10
removed: qemukvm-20.10
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-08-24 07:35 EDT-------
Feature available with qemu 5.1

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

That is a great feature to have, glad to see that happening.
We will not go to qemu 5.1 in Ubuntu 20.10 (too many uncertainties so late in the cycle) but instead stay on qemu 5.0 - would you have a list of commits or a backport cherry-pick repository somewhere that I can use.

And BTW, we need to build test and upload this before this Thursday so I hope someone reads this immediately ?! @Frank could you do pings to ensure that?

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-25 03:46 EDT-------
The IPL fix is completely contained in

commit 24e58a7b1d411627e326144030a20dcf0093fed0
Author: Jared Rossi <email address hidden>
Date: Tue May 12 14:15:35 2020 -0400

vfio-ccw: allow non-prefetch ORBs

Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

Thanks!

The code is public, can we mark the bug public as well?

Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

The change is Small, Reasonable and Applies as-is.
The comment doesn't mention vfio-ccw boot directly, but that isn't a problem.

The qemu in -proposed is blocked by some systemd test fails anyway.
As the former one won't move anytime soon I'll probably uploaded this soon on top of the current one. Just one set of builds and tests before that.

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-25 05:34 EDT-------
@Canonical: Yes, the LP can be moved to "Public"

Frank Heimes (fheimes)
information type: Private → Public
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

Builds and quick tests (on s390x only, as that change is only vfio-ccw) seem ok.
Adding this on top of the current qemu stuck in proposed.

Frank Heimes (fheimes)
Changed in qemu-kvm (Ubuntu):
status: New → In Progress
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

qemu (1:5.0-5ubuntu6) groovy; urgency=medium

  * d/p/ubuntu/lp-1887935-vfio-ccw-allow-non-prefetch-ORBs.patch: fix boot
    from vfio-ccw (LP: #1887935)

Changed in qemu-kvm (Ubuntu):
status: In Progress → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: In Progress → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-27 01:27 EDT-------
IBM Bugzilla status->closed, Fix Released with groovy

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers